complexType "BusinessEventIdentifier"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | partyReference, eventId
</...>

Content Model Elements (2):

  eventId,
  partyReference (defined in PartyAndAccountReferences.model group)

All Direct / Indirect Based Elements (3):

  eventIdentifier (defined in AbstractEvent complexType),
  eventIdentifier (defined in TradingEventSummary complexType),
  eventIdentifier (in publicExecutionReportRetracted)

Known Usage Locations

- As direct type of elements (3):
  eventIdentifier (defined in AbstractEvent complexType),
  eventIdentifier (defined in TradingEventSummary complexType),
  eventIdentifier (in publicExecutionReportRetracted)

Annotation
A type defining an event identifier issued by the indicated party.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="BusinessEventIdentifier"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element name="eventId" type="EventId"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/2)
eventId

  Type: | EventId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="eventId" type="EventId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.